[comment {-*- tcl -*- doctools manpage}]
[manpage_begin tcl::chan::textwindow n 1]
[copyright {2009 Andreas Kupries <andreas_kupries@users.sourceforge.net>}]
[moddesc   {Reflected/virtual channel support}]
[category  Channels]
[titledesc {Textwindow channel}]
[require Tcl 8.5]
[require TclOO]
[require tcl::chan::events [opt 1]]
[require tcl::chan::textwindow [opt 1]]
[description]
[para]

The [package tcl::chan::textwindow] package provides a command creating
write-only channels connected to text widgets. Anything written to the
channel is printed into the associated widget.

[para] The internal [package TclOO] class implementing the channel
handler is a sub-class of the [package tcl::chan::events] framework.

[section API]

[list_begin definitions]

[call [cmd ::tcl::chan::textwindow] [arg widget]]

This command creates a new textwindow channel and returns its handle.
Data written to this channel will appear in the associated [arg widget].

[list_end]


[section {BUGS, IDEAS, FEEDBACK}]

This document, and the package it describes, will undoubtedly contain
bugs and other problems.

Please report such in the category [emph virtchannel] of the
[uri {http://sourceforge.net/tracker/?group_id=12883} {Tcllib SF Trackers}].

Please also report any ideas for enhancements you may have for either
package and/or documentation.


[keywords {virtual channel} {reflected channel} Tk {text widget} {tip 219}]
[manpage_end]
